<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output  method = "text" omit-xml-declaration = "yes" indent = "no" /> 
<xsl:template match="P">
	<xsl:text>IDE.DBREPORT.VERSION(</xsl:text>
	<xsl:apply-templates select="@DBReport.Version"/>
	<xsl:text>)</xsl:text>
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="C">
	<xsl:text>REPORT.DBCX.CREATE(</xsl:text>
	<xsl:apply-templates select="@*" mode="C"/>
	<xsl:text>)</xsl:text>
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="R">
	<xsl:text>REPORT.DBRS.CREATE(</xsl:text>
	<xsl:apply-templates select="@*" mode="C"/>
	<xsl:apply-templates select="./M" />
	<xsl:text>;</xsl:text>
	<xsl:apply-templates select="./F" />
	<xsl:text>)</xsl:text>
</xsl:template>
<xsl:template match="M|F">
	<xsl:apply-templates select="@*" mode="F"/>	
</xsl:template>
<xsl:template match="MR">
	<xsl:text>LAYOUT.PARAMSET(</xsl:text>
	<xsl:apply-templates select="@*" mode="N"/>
	<xsl:text>)</xsl:text>
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="L">
	<xsl:text>LAYOUT.SET(</xsl:text>
	<xsl:apply-templates select="@*" mode="N"/>
	<xsl:text>)</xsl:text>
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="K">
	<xsl:text>LAYOUT.SEQUENCE.SET(</xsl:text>
	<xsl:value-of select="@Value"/>
	<xsl:text>)</xsl:text>
</xsl:template>
<xsl:template match="I">
	<xsl:text>LAYOUT.CREATE.ITEM(</xsl:text>
	<xsl:value-of select="@ClassName"/>
	<xsl:text>;</xsl:text> 
	<xsl:value-of select="@Name"/> 
	<xsl:text>;</xsl:text> 
	<xsl:value-of select="@Section"/> 
	<xsl:text>)</xsl:text>
	<xsl:call-template name="SELSET"/>
</xsl:template>
<xsl:template match="S">
	<xsl:text>LAYOUT.CREATE.SECTION(</xsl:text>
	<xsl:value-of select="@ClassName"/>
	<xsl:text>;</xsl:text> 
	<xsl:value-of select="@Name"/> 
	<xsl:text>)</xsl:text>
	<xsl:call-template name="SELSET"/>
</xsl:template>
<xsl:template name="SELSET">
	<xsl:text>&#10;  LAYOUT.SELECTION.SET(</xsl:text>
	<xsl:apply-templates select="@*" mode="N"/>
	<xsl:text>)</xsl:text>
</xsl:template>
<xsl:template match="@Text|@Format" mode="N">
	<xsl:value-of select="name()"/>
	<xsl:text>;&quot;</xsl:text> 
	<xsl:value-of select="."/>
	<xsl:text>&quot;;</xsl:text> 
</xsl:template>
<xsl:template match="@SQL" mode="C">
	<xsl:text>&quot;</xsl:text> 
	<xsl:value-of select="translate(current(),'&#10;','!')"/>
	<xsl:text>&quot;;</xsl:text> 
</xsl:template>
<xsl:template match="@*" mode="F">
	<xsl:value-of select="."/>
	<xsl:text>,</xsl:text> 
</xsl:template>
<xsl:template match="@*" mode="C">
	<xsl:value-of select="."/>
	<xsl:text>;</xsl:text> 
</xsl:template>
<xsl:template match="@*" mode="N">
	<xsl:value-of select="name()"/>
	<xsl:text>;</xsl:text> 
	<xsl:value-of select="."/>
	<xsl:text>;</xsl:text> 
</xsl:template>
</xsl:stylesheet>
